@import '@/styles/variables';

.wrapper {
  display: flex;
  align-items: center;
  column-gap: 8px;
  border-radius: 8px;
  border: 1px solid $color-secondary-80;
  background: $color-white;
  padding: 16px 8px;

  @include custom-min-width($md) {
    column-gap: 24px;
  }
}

.text {
  flex-grow: 1;

  @include custom-min-width($md) {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
  }
}

.title {
  font-weight: 600;
  line-height: 150%;

  @include custom-min-width($md) {
    font-size: 20px;
  }
}

.description {
  font-size: 12px;
  font-weight: 400;

  @include custom-min-width($md) {
    font-size: 16px;
  }
}

.balance {
  font-weight: 700;
  color: $color-success-40;

  &.debit {
    color: $color-secondary-40;
  }

  @include custom-min-width($md) {
    font-size: 20px;
  }
}
